"use strict";

exports.__esModule = true;
exports.useLoadingStateImpl = useLoadingStateImpl;
exports.default = exports.useLoadingState = void 0;

var _react = require("react");

var _reactSingletonHook = require("react-singleton-hook");

function useLoadingStateImpl() {
  const [loadingContent, setLoadingContent] = (0, _react.useState)(null);
  return [loadingContent, setLoadingContent];
}

const useLoadingState = (0, _reactSingletonHook.singletonHook)([null, () => {}], useLoadingStateImpl);
exports.useLoadingState = useLoadingState;
var _default = useLoadingState;
exports.default = _default;